<?php

include_once '../sys/inc/start.php';
$doc = new document();
$doc->title = __('Восстановление пароля');

if ($user->group) {
    $doc->err(__('Вы уже авторизованы'));
    exit;
}
if (!empty($_GET['id']) && !empty($_GET['code'])) {
    $doc->ret(__('Восстановление пароля'), '?' . passgen());

    $id = (int) $_GET['id'];
    $code = preg_replace('#[^a-z0-9]#i', '', $_GET['code']);

    $ank = new user($id);

    if (!$ank->group) {
        $doc->err(__('Пользователь с ID#%s не зарегистрирован', $id));
        exit;
    }

    if (!$ank->recovery_password || $ank->recovery_password !== $code) {
        $doc->err(__('Ключ для восстановления пароля не действителен'));
        exit;
    }

    $doc->title = __('Восстановление пароля к "%s"', $ank->login);

    if (isset($_POST['password1']) && isset($_POST['password2'])) {
        if ($_POST['password1'] !== $_POST['password2'])
            $doc->err(__('Пароли не совпадают'));
        elseif (!is_valid::password($_POST['password1']))
            $doc->err(__('Не корректный новый пароль'));
        else {
            $ank->password = crypt::hash($_POST['password1'], $dcms->salt);
            $ank->recovery_password = '';
            $doc->msg(__('Пароль успешно изменен'));
            header('Refresh: 2; url=/login.php?' . passgen());
            exit;
        }
    }

    $form = new form('?id=' . $id . '&code=' . $code . '&' . passgen());
    $form->password('password1', __('Новый пароль'));
    $form->password('password2', __('Подтвердите пароль'));
    $form->button(__('Применить'), 'save');
    $form->display();
    exit;
}









$sms = new sms();
if (isset($_POST['post'])) {
    if (!is_valid::nick(@$_POST['login'])) {
     $doc->err(__('Указан не корректный логин'));
	}
    else {
	 $login = (string) $_POST['login'];
	 $q = mysql_query("SELECT `id` FROM `users` WHERE `login` = '" . my_esc($login) . "' LIMIT 1");
        if (!mysql_num_rows($q)) {
         $doc->err(__('Логин "%s" не зарегистрирован', $login));
		}
		else {
		 $id_user = mysql_result($q, 0, 'id');
         $user_t = new user($id_user);
            if (!$user_t->group) {
             $doc->err(__('Ошибка при получении профиля пользователя'));
		    }
			else {
		        if($user_t->reg_tel) {
				    if(isset($_POST['tel'])) {
					    if (!is_valid::tel(@$_POST['tel'],$sms->is_country(true))) {
                         $doc->err(__('Указан не корректный номер телефона'));
	                    }
						elseif($user_t->reg_tel != $_POST['tel']) {
					     $doc->err(__('Указанный телефон не был привязан к Вашему профилю'));
	                    }
						else {
						 $newpass = passgen(mt_rand(6,8));
						 $mess = "Новый пароль на $_SERVER[HTTP_HOST]: $newpass";
                         $send = $sms->send($_POST['tel'], $mess);
                            if ($send['status'] == 'success') {
                             $doc->msg(__('На Ваш номер телефона отправлен новый пароль'));
                             mysql_query("UPDATE `users` SET `password` = '" . crypt::hash($newpass, $dcms->salt) . "' WHERE `id` = '$user_t->id' LIMIT 1");
                			 exit;
							} else
                             $doc->err(__('Ошибка при отправке SMS, попробуйте позже'));
						}
					}
				
		            if($sms->is_country()) {
					 $form = new form('?' . passgen());
                     $form->hidden('login',$user_t->login);
					 $form->input('tel', __('Ваш номер телефона'));
					 $form->button(__('Отправить новый пароль'), 'post');
                     $form->display();
					 exit;
					}
		        }
				elseif($user_t->reg_mail) {
				    if(isset($_POST['mail'])) {
				        if (!is_valid::mail(@$_POST['mail']))
                         $doc->err(__('Указан не корректный E-mail'));
                        else {
						 $mail = $_POST['mail'];
                         $q = mysql_query("SELECT `id` FROM `users` WHERE `reg_mail` = '" . my_esc($mail) . "' ORDER BY `id` DESC LIMIT 1");
                            if (!mysql_num_rows($q))
                             $doc->err(__('Указанный E-mail не был привязан к Вашему профилю'));
                            else {
						     $ank = new user(mysql_result($q, 0, 'id'));
                             $ank->recovery_password = $recovery_password = md5(passgen(100));
                             $t = new design();
                             $t->assign('title', __('Восстановление пароля'));
                             $t->assign('login', $ank->login);
                             $t->assign('site', $dcms->sitename);
                             $t->assign('url', 'http://' . $_SERVER['HTTP_HOST'] . '/pass.php?id=' . $ank->id . '&amp;code=' . $recovery_password);
                                if (mail::send($mail, __('Восстановление пароля'), $t->fetch('file:' . H . '/sys/templates/mail.pass.tpl'))) {
                                 $doc->msg(__('На Ваш E-mail отправлено письмо с ссылкой для активации аккаунта'));
                                 exit;
								} else {
                                 $doc->err(__('Ошибка при отправке email, попробуйте позже'));
                                }
						 
						 
						    }
						
						}
				    }
				 $form = new form('?' . passgen());
				 $form->hidden('login',$user_t->login);
                 $form->input('mail', __('Ваш E-mail'));
                 $form->button(__('Продолжить'), 'post');
                 $form->display();
				 exit;
				}
				
			}
		}

	}

}



$form = new form('?' . passgen());
$form->input('login', __('Ваш логин'));
$form->button(__('Продолжить'), 'post');
$form->display();